#!/bin/bash -e

mkdir -p "$HOME/.ssh"
echo "$INPUT_SSH_PRIV" > "$HOME/.ssh/id_ed25519"
echo "$INPUT_KNOWN_HOSTS" > "$HOME/.ssh/known_hosts"
chmod 600 "$HOME/.ssh/id_ed25519"

URL="${GITHUB_SERVER_URL/\/\//\/\/$GITHUB_REPOSITORY_OWNER:$INPUT_TOKEN@}/$GITHUB_REPOSITORY"

git init -b main
git remote add origin "$URL"
git fetch --no-tags --prune --no-recurse-submodules origin "$GITHUB_SHA"
git push --repo="$INPUT_URL" origin "main:$GITHUB_REF"
